Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Interface ASN1Value

All Known Implementing Classes:
  BMPString, CharacterString, IA5String, INTEGER, NULL, OCTET_STRING, PrintableString, SEQUENCE, SET, TeletexString, TimeBase, UTF8String, EXPLICIT, UniversalString, BOOLEAN, ANY, OBJECT_IDENTIFIER, UTCTime, CHOICE, BIT_STRING, ENUMERATED, GeneralizedTime, DigestedData, ContentInfo, SignedData, SignedAndEnvelopedData, DigestInfo, IssuerAndSerialNumber, EncryptedData, SignerInfo, RecipientInfo, EncryptedContentInfo, EnvelopedData, Attribute, CertificationRequestInfo, CertificationRequest, SecretBag, PFX, SafeBag, MacData, CertBag, AuthenticatedSafes, DirectoryString, PrivateKeyInfo, EncryptedPrivateKeyInfo, AVA, SubjectPublicKeyInfo, RDN, Attribute, AlgorithmIdentifier, PBEParameter, Name, Extension, CertificateInfo, Certificate, ResponseBody, OtherInfo, PendInfo, TaggedAttribute, TaggedCertificationRequest, PKIData, CMCStatusInfo, TaggedRequest, IssuerAndSubject, CertifiedKeyPair, PKIStatusInfo, GetCRL, RevRequest, RevRepContent, CertResponse, CertRepContent, CertOrEncCert, DigestInfo, IssuerAndSerialNumber, ContentInfo, EncryptedContentInfo, SignerInfo, EncryptedData, SignerIdentifier, EncapsulatedContentInfo, DigestedData, EnvelopedData, SignedAndEnvelopedData, SignedData, RecipientInfo, CertTemplate, EncryptedValue, PKIPublicationInfo, CertReqMsg, Control, ProofOfPossession, EncryptedKey, POPOSigningKey, POPOPrivKey, PKIArchiveOptions, CertRequest, CertId

public interface ASN1Value

A value that can be decoded from BER and encoded to DER.

See Also:
  `ASN1Template`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Method Detail

### getTag

    public Tag getTag()

  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Write this value's DER encoding to an output stream using its own base tag.

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Write this value's DER encoding to an output stream using an implicit tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD